]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - setup.sh
setup.sh: Remove unnecessary check.
[config/dotfiles.git] / setup.sh
index 95aad803ea58989dd6d2b59b5a0a6063a124ac84..74da7c167cf08c0a2c749730134b2a39df1b7ba2 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
@@ -7,7 +7,7 @@
 # Creates a new git repository in $1, adds a new remote named $2 and fetches
 # the master on $3. If the git repository already exists a new remote $2 for
 # $3 is added. If the remote already exists nothing happens.
-function git_remote_init_update() {
+git_remote_init_update() {
     # Make sure the requested directory exists.
     mkdir -p "$1"
     # Go to the target directory.
@@ -28,9 +28,10 @@ function git_remote_init_update() {
         echo "Adding remote '$2' to '$1'."
         git remote add -t master "$2" "$3/$1"
         git fetch "$2" > /dev/null
-        # Remove the remote if the fetch was unsuccessful.
+        # Remove the remote and abort if the fetch was unsuccessful.
         if [ "$?" -ne "0" ]; then
             git remote rm "$2"
+            exit 1
         fi
 
         # Pushing to the remote pushes only the master branch in remotes named
@@ -60,8 +61,8 @@ if [ "$#" -eq "0" ]; then
         # Skip this directory to prevent an infinite loop.
         [ "$project" = "./.git" ] && continue
 
-        [ -d "$project" ] && (echo "running setup.sh in '$project'";
-                            cd "$project/.."; ./setup.sh > /dev/null)
+        echo "running setup.sh in '$project'"
+        ( cd "$project/.."; ./setup.sh > /dev/null )
     done
 # Create git repository if necessary and/or additional remotes and fetch them.
 elif [ "$#" -ge "2" ]; then